def Data2ViralConc(data, PFUs_median, PFUs_95pct, superSpreaderEmissionFactor):
    
    import numpy as np, pandas as pd
    
    # data = particle data generated by FaTIMa (MxN matrix, where M = number
    #         of distinct particle diameters and N = number of time points)
    # PFUs_median and PFUs_95pct are Mx1 column vectors
    
    M = len(PFUs_median)
    N = data.shape[1]
    
    viralConcMatrix_median = np.zeros([M, N])
    viralConcMatrix_95pct = np.zeros([M, N])
    
    for i in range(M):
        if isinstance(data[i,:], pd.DataFrame):
            diamTimeSeries = data[i,:].to_numpy()
        else:
            diamTimeSeries = data[i,:]
        viralConcMatrix_median[i,:] = np.multiply(diamTimeSeries, PFUs_median[i])
        viralConcMatrix_95pct[i,:] = np.multiply(diamTimeSeries, PFUs_95pct[i]*superSpreaderEmissionFactor)
        
    return viralConcMatrix_median, viralConcMatrix_95pct