def Diameter2PFUs(diameters, params):
    
    import numpy as np
    
    medianViralLoad_day0 = params['medianViralLoad_day0']
    viralLoadSD_day0 = params['viralLoadSD_day0']
    infectivityRatio = params['infectivityRatio']
    
    volNum_num = diameters/10000
    volNum = np.power(np.divide(volNum_num, 2), 3)
    volume = ((4*np.pi)/3)*volNum
    mass = volume
    
    RNAcopies_median = np.multiply(mass, 10**medianViralLoad_day0)
    PFUs_median =np.divide(RNAcopies_median, infectivityRatio)
    
    RNAcopies_95pct = mass*(10**(medianViralLoad_day0 + 2*viralLoadSD_day0))
    PFUs_95pct = np.divide(RNAcopies_95pct, infectivityRatio)
    
    return PFUs_median, PFUs_95pct