# Get deposited dose in a certain region (head, TB, P) from inhaled concentration.

def InhalationConc2DepositionConc(inhalationConcMatrix_median, inhalationConcMatrix_95pct, depositionFactors_median, depositionFactors_95pct, siteFactor, hourStepSize):
    
    import numpy as np

    depositionConcMatrix_median = np.zeros_like(inhalationConcMatrix_median)
    depositionConcMatrix_95pct = np.zeros_like(inhalationConcMatrix_95pct)
    
    # Need to check: multipied by step size or multiplied by current time ??
    
    for i in range(inhalationConcMatrix_median.shape[0]):
        for j in range(inhalationConcMatrix_median.shape[1]):
            if j==1:
                depositionConcMatrix_median[i,j] = depositionFactors_median[i]*hourStepSize*siteFactor*inhalationConcMatrix_median[i,j]
                depositionConcMatrix_95pct[i,j] = depositionFactors_95pct[i]*hourStepSize*siteFactor*inhalationConcMatrix_95pct[i,j]
            else:
                depositionConcMatrix_median[i,j] = depositionConcMatrix_median[i,j-1] + depositionFactors_median[i]*hourStepSize*siteFactor*inhalationConcMatrix_median[i,j]
                depositionConcMatrix_95pct[i,j] = depositionConcMatrix_95pct[i,j-1] + depositionFactors_95pct[i]*hourStepSize*siteFactor*inhalationConcMatrix_95pct[i,j]
                
    return depositionConcMatrix_median, depositionConcMatrix_95pct